package lightcontainer.interfaces;

import lightcontainer.domains.client.StoreProcessor;
import lightcontainer.repository.FileFrontEnd;

/**
 * A communication interface between a {@link StoreProcessor} and the {@link FileFrontEnd}.
 */
public interface StoreProcessorFFE {
    /**
     * Allows a {@link StoreProcessor} to notify the FFE that it's available.
     * @param         store The store processor that is now available.
     */
    void onStoreAvailable(StoreProcessor store);
}
